### Struct

# Qmi MessageUimRemoteUnlockInput

since: 1.32

#### Description [src]

    struct QmiMessageUimRemoteUnlockInput {
      /* No available fields */
    }

The `QmiMessageUimRemoteUnlockInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.32

#### Constructors

###### qmi_message_uim_remote_unlock_input_new

Allocates a new `QmiMessageUimRemoteUnlockInput`.

since: 1.32

#### Instance methods

###### qmi_message_uim_remote_unlock_input_get_simlock_data

Get the ‘SimLock Data’ field from `self`.

since: 1.32

###### qmi_message_uim_remote_unlock_input_get_simlock_extended_data

Get the ‘SimLock Extended Data’ field from `self`.

since: 1.32

###### qmi_message_uim_remote_unlock_input_ref

Atomically increments the reference count of `self` by one.

since: 1.32

###### qmi_message_uim_remote_unlock_input_set_simlock_data

Set the ‘SimLock Data’ field in the message.

since: 1.32

###### qmi_message_uim_remote_unlock_input_set_simlock_extended_data

Set the ‘SimLock Extended Data’ field in the message.

since: 1.32

###### qmi_message_uim_remote_unlock_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.32